Show / Hide Table of Contents

# Struct FateManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Fate

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct FateManager

### Fields

| Improve this Doc View Source

#### CurrentFate

##### Declaration

    public FateContext*CurrentFate

##### Field Value

Type | Description
--- | ---
FateContext* |

| Improve this Doc View Source

#### FateDirector

##### Declaration

    public FateDirector*FateDirector

##### Field Value

Type | Description
--- | ---
FateDirector* |

| Improve this Doc View Source

#### FateJoined

##### Declaration

    public byte FateJoined

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Fates

##### Declaration

    public StdVector<Pointer<FateContext>> Fates

##### Field Value

Type | Description
--- | ---
StdVector<Pointer<FateContext>> |

| Improve this Doc View Source

#### SyncedFateId

##### Declaration

    public ushort SyncedFateId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_String

##### Declaration

    public Utf8String Unk_String

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Unk_Vector

##### Declaration

    public StdVector<GameObjectID> Unk_Vector

##### Field Value

Type | Description
--- | ---
StdVector<GameObjectID> |

### Methods

| Improve this Doc View Source

#### GetFateById(UInt16)

##### Declaration

    public FateContext*GetFateById(ushort fateId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | fateId |

##### Returns

Type | Description
--- | ---
FateContext* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static FateManager*Instance()

##### Returns

Type | Description
--- | ---
FateManager* |